com.streambase.liveview.client

## Class EndAggMarkEvent

- java.lang.Object
- - java.util.EventObject
  - - com.streambase.liveview.client.AbstractQueryEvent
    - - com.streambase.liveview.client.EndAggMarkEvent

- All Implemented Interfaces:
    Serializable

      public final class EndAggMarkEvent
      extends AbstractQueryEvent

  The event dispatched when the aggregate result set sent since the last BeginAggMarkEvent is consistent and will not change again until the next BeginAggMarkEvent.
  Since:
    7.7.4
  See Also:
    Serialized Form

- - ### Field Summary

    - ### Fields inherited from class java.util.EventObject

      `source`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `EndAggMarkEvent(Object source, Long generation)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `dispatch(QueryListener listener)` Dispatches this event to the listener
    `Long` | `getGeneration()` Get the generation number for the just completed generation of aggregate results.

    - ### Methods inherited from class java.util.EventObject

      `getSource, toString`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### EndAggMarkEvent

          public EndAggMarkEvent(Object source,
                                 Long generation)

      Parameters:
        `source` - the source of the event

  - ### Method Detail

    - #### getGeneration

          public Long getGeneration()

      Get the generation number for the just completed generation of aggregate results.
      Returns:
        a Long which is a monotonically increasing generation number

    - #### dispatch

          public void dispatch(QueryListener listener)

      Dispatches this event to the listener
      Specified by:
        `dispatch` in class `AbstractQueryEvent`
      Parameters:
        `listener` - the query listener

Copyright © 2015–2018 Cloud Software Group, Inc.. All rights reserved.